Subject: Offline Message from Abdullah : Hello I have cancelled my order and waited 48
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 30 Jun 2020 06:35:21 -0000

From: Abdullah  <[email-masked]>
Phone: 
Location: Dammam, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us/
Department: 

Hello I have cancelled my order and waited 48 hours to get my refund then waited 7 days for my  to get my refund of money and still didn’t get I want it now I can’t wait it doesn’t take that long to transfer a money  it doesn’t take one month also I need it because I have to pay for my electricity and my house rent I need it now I can’t wait any long can send the money back to me and thank you #100116650

----
Zopim
https://www.zopim.com